# List arms Endpoint: POST /v3/companies/{companyId}/custom-fields/{customFieldId}/arms/list Version: v3 Security: Bearer ## Path parameters: - `companyId` (string, required) Identifier for company. Example: "4974a66b-7493-4f41-908c-58ba81093947" - `customFieldId` (string, required) Identifier for custom field. Example: "4974a66b-7493-4f41-908c-58ba81093947" ## Request fields (application/json): - `searchText` (string) Search text to filter the ARMs. - `filter` (object) - `filter.tripUsageTypes` (array) List of trip usage types to filter ARMs. Enum: "STANDARD", "EVENT" ## Response 200 fields (application/json): - `arms` (array) - `arms.id` (string) Arm id. - `arms.name` (string, required) Name of the arm. Example: "US Employee" - `arms.audiences` (array) - `arms.audiences.name` (string, required) Name of the audience. Example: "US Employee" - `arms.audiences.predicates` (array) - `arms.action` (any, required) ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.